### Function

# Json Path query

since: 0.14

#### Declaration [src]

    JsonNode*
    json_path_query (
      const char* expression,
      JsonNode* root,
      GError** error
    )

#### Description [src]

Queries a JSON tree using a JSONPath expression.

This function is a simple wrapper around `json_path_new()`, `json_path_compile()`, and `json_path_match()`. It implicitly creates a `JsonPath` instance, compiles the given expression and matches it against the JSON tree pointed by `root`.

Available since: 0.14

#### Parameters

`expression`

  Type: `const char*`

  A JSONPath expression.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`root`

  Type: `JsonNode`

  The root of a JSON tree.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `JsonNode`

A newly-created node of type `JSON_NODE_ARRAY` containing the array of matching nodes.

The caller of the function takes ownership of the data, and is responsible for freeing it.